RDKit::BadFileException Class Reference

used by various file parsing classes to indicate a bad file More...

`#include <BadFileException.h>`

Inheritance diagram for RDKit::BadFileException:

## Public Member Functions

| BadFileException (const char *msg)
| construct with an error message More...
| BadFileException (const std::string msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~BadFileException () throw ()

## Detailed Description

used by various file parsing classes to indicate a bad file

Definition at line 20 of file BadFileException.h.

## Constructor & Destructor Documentation

RDKit::BadFileException::BadFileException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 23 of file BadFileException.h.

RDKit::BadFileException::BadFileException | ( | const std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 25 of file BadFileException.h.

RDKit::BadFileException::~BadFileException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 28 of file BadFileException.h.

## Member Function Documentation

const char* RDKit::BadFileException::message | ( |  | ) | const

inline

get the error message

Definition at line 27 of file BadFileException.h.

The documentation for this class was generated from the following file:

- BadFileException.h